« OYA AutoCAD 2008 Tip Adjust the Dimension Spacing | Main | Learn to Walk and Fly in AutoCAD »

20 January 2009

Comments

No need to pull pranks... If I want them to click maniacally in frustration, I just install the latest version of Acad...

"Ribbon?... why can't I keep R14..."

PICKADD - only lets you select one entity at a time :)

over the years i've enjoyed redefining commands in harmless ways.

on using the FILLET command the next prompt displays:

Select first object or [Undo/Polyline/Radius/Trim/Multiple/Salmon/Halibut/Chateaubriand/Mignon]:

on using the TRIM command the next prompt displays:

Select objects or [Sails/BUdget/Mustache/Finish/Hedges/]:

etc.

-dave

We have a lisp that goes back many years. It turns off the current layer and starts up GRREAD, creating circles as fast as it can keep up with the mouse movement.

To the user, it appears that AutoCAD is not responding to mouse movement. By the time they press ESC, they have created hundreds of circles, of course the big surprise comes when they thaw the current layer... :-)

Opaque tape over the mouse laser...

(OK, the last time I may have done this it was sellotape over the mouse wheel...)

most people i know don't use SNAP. i turn it on and set it to an extremely high interval.

the mouse won't move but zoom will work -- and they won't think to turn SNAP off.

Is it April Fools already?

Replaced the loading screen image with a warning to remove all illegitimate software including mp3s, plugins, videos, and images.

Turn off the PICKFIRST command. They won't be able to select anything until they start a command.

These are some good fun pranks.
dave, I seriously love the creative command options!

Cheers,
Shaan

Yes dear shaan, it must be safe ... here is some of it :
1- Press Ctrl+0(zero) to clear the Screen button .
2- Press Ctrl+9 to clear the command line.
3- This is the big one ... while you are opening some drawing and Autocad still in front of you press PRINT SCREEN SysRq at the keyboard then open the WORD PAD and just make paste . you wil find the Autocad front appear..NOW the user at first blush he will thought that this is Autocad but in fact this is just an image...
Thanks,

I like to set Blipmode=1. This does no harm, and totaly confuses newer ACAD users.

I agree (sort of) with Ray Gorman (Except I really liked that new fangled Properies thingie in ACAD2K). I ain't impressed when they put bigger fins on a Cadilac, and ribbons in AutoCAD.

you folks need to do things to get users confused? i can just sit here and wait for them to arrive.

i am partial though to setting crosshairs as the same color as the background, or background and crosshairs to system grey. setting paperspace to the same color as model space seems to blow folks minds too.

if you've got the time and access, daily update their background color by a few points of a true color value. (or move the crosshairs and background toward the same color)

a bit more time, and changing button icons is entertaining. arc into a smiley, or text as another letter.

not my idea, but i've seen a routine to have "dim" mute all the colors.

so what does fillet salmon accomplish?

While learning VBA, I wrote an routine that when the EXPLODE command is run, an explosion sound is played through the speakers.

A while ago I wrote a quick VLISP routine to have AutoCAD to speak to you in a rather Stephen Hawking like voice:

(defun usr:Speak (str)
(setq sapi (vlax-create-object "Sapi.SpVoice"))
(vlax-invoke sapi "Speak" str 0)
(vlax-release-object sapi)
)

Great for all sorts of tricks, particularly if you have (a) a global acaddoc.lsp routine for your company, and (b) a cow orker who is annoying you.

For example, say, having God start speaking to them whenever they fire up up a drawing:

(if (= "BOB" (strcase (getvar "username")))
(usr:Speak
(strcat
"Hello "
(getvar "username")
". This is God speaking."
"You have been a very naughty
person lately.")
)
)
)

etc.

-Matt

I like setting the SNAP increment to something like 100000, but do this in the acad.lsp and revert the file so they do not know it happened.

Set the limits to something like 0,0 and 0.1,0.1 and then turn on limcheck

How about hack the dll that stores the splash screen, and put in a logo from lets say 2000, or r14. Or even worse a competitor's splash screen. ;P Watch them FREAK!!!

Open the most frequently used ctb style and change all linetypes to thin dotted lines. Wait for a co-worker to plot a drawing.

:-)

I had fun with one of my co-workers once, and I reversed the mouse direction on him, it took him a while to figure out what whent wrong.

I always like the prank of taking a screen shot of the desktop, using it as the background and shutting off icons on the desktop, so they think they are clicking on the icon, but its not really there.

Or another one, write into the acaddoc.lsp file for a particular (annoying) user to automatically close AutoCAD as soon as it opened. they will freak out, and before IT gets there, revert the acaddoc.lsp so AutoCAD will open normally.

I like using the MTJIGSTRING to change the preview for new Text creation. My "Go Bucks!" really gets the Michigan fans riled up in my training rooms.

Draw a circle 200e+10 diameter and zoom extents.
With all of these pranks make sure they don't reboot or close without saving drawings in fustration loosing their work. Even though they should have saved before leaving...

I created a very simple macro that turns on every single toolbar so you have to close all of them with the X. Very few people know how to turn them all off at the command line, or use their workspace to put it back. Typically one or two of us will talk out loud over a cube wall about this cool hidden game discovered inside AutoCAD and you just type GAME to play it. Very funny to hear someone curse out loud.

Either add it to a new toolbar button or autoload it from a shared lisp routine.

(defun C:GAME () (command "-TOOLBAR" "ALL" "SHOW") (PRIN1))

Set ZOOMFACTOR to 3

;-)

We used to take the ball out of the mouse...
Guess that won't work anymore.

Put some drafting tape over the mouse's movement sensor...
That is if, you can find any drafting tape.

Tryed the one with a printscreen and then he tried to draw in the jpeg, was funny....

this routine is always classy . . . I run a set of tools on my coworkers computers, So when they leave computers unlocked I just type in gotya

(DEFUN C:GOTYA()
(COMMAND "UNDEFINE" "MOVE")
(COMMAND "UNDEFINE" "COPY")
(COMMAND "UNDEFINE" "ERASE")
(COMMAND "UNDEFINE" "QSAVE")
(COMMAND "UNDEFINE" "PLOT")
(COMMAND "UNDEFINE" "PRINT")
(COMMAND "UNDEFINE" "OPEN")
(COMMAND "UNDEFINE" "CLOSE")
)

Always gotta have the fix tho =(

(DEFUN C:GOTYAFIX()
(COMMAND "REDEFINE" "MOVE")
(COMMAND "REDEFINE" "COPY")
(COMMAND "REDEFINE" "ERASE")
(COMMAND "REDEFINE" "QSAVE")
(COMMAND "REDEFINE" "PLOT")
(COMMAND "REDEFINE" "PRINT")
(COMMAND "REDEFINE" "OPEN")
(COMMAND "REDEFINE" "CLOSE")
)

Ray: Are you the guy who once worked in NYC
for a TV station?


Open VTOPTIONS, then take the Transition Speed slider all the way to the left. Now run your wheel double-click ... and go get a cup of coffee while it goes to Extents!

The comments to this entry are closed.